# -*- coding: utf-8 -*-
"""
   Wiki+ Congifuration

   Copyright (C) 2005 Yong-Jin Cho <yongjin.cho@gmail.com>
   Wiki+ is distributed under GNU GPL. See COPYING for details.

   For more information, visit http://wikiplus.kldp.net.
"""
import os

# wiki name
wiki_name = '위키'
menu_bar = '메뉴'
password = '1111'


# path to wikiplus
dir_prefix = '.'
data_dir = os.path.join(dir_prefix, 'data')
text_dir = os.path.join(data_dir, 'text')
backup_dir = os.path.join(data_dir, 'backup')
editlog_path = os.path.join(data_dir, 'editlog')
session_path = os.path.join(data_dir, 'session')


# url path to wikiplus
url_prefix = '/wikiplus'
logo_url = url_prefix + '/wplus.gif'
css_url = url_prefix + '/wplus.css'


#
encoding = 'utf-8'
show_ips = False
date_fmt = '%Y년 %m월 %d일'
datetime_fmt = '%Y년 %m월 %d일 %I시 %M분 %S초'
changed_time_fmt = '[%I:%M %p]'
denied_ips = []


# for uploading feature
upload_dir = os.path.join(data_dir, 'upload')
upload_url = url_prefix + '/data/upload'
allowed_ext = ('.txt', '.jpg', '.gif', '.bmp', '.png', '.jpeg', 
               '.hwp', '.doc', '.ppt', '.xls', '.pdf', '.ps',
               '.gz',  '.tgz', '.zip', '.rar', '.alz')
